Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.adapters.jboss
Class JbossAcegiLoginModule

    java.lang.Object
      org.jboss.security.auth.spi.AbstractServerLoginModule
          org.acegisecurity.adapters.jboss.JbossAcegiLoginModule

All Implemented Interfaces:
  LoginModule

    public class JbossAcegiLoginModule

extends org.jboss.security.auth.spi.AbstractServerLoginModule

Adapter to enable JBoss to authenticate via the Acegi Security System for Spring.

Returns a `PrincipalAcegiUserToken` to JBoss' authentication system, which is subsequently available from `java:comp/env/security/subject`.

Version:
  $Id: JbossAcegiLoginModule.java,v 1.11 2005/11/25 00:26:30 benalex Exp $
Author:
  Ben Alex, Sergio Bern�

Field Summary

Fields inherited from class org.jboss.security.auth.spi.AbstractServerLoginModule
`callbackHandler, log, loginOk, options, sharedState, subject, useFirstPass`

Constructor Summary
`JbossAcegiLoginModule()`

Method Summary
`protected Principal` | `getIdentity()`
`protected Group[]` | `getRoleSets()`
`protected String[]` | `getUsernameAndPassword()`
`void` | `initialize(Subject subject, CallbackHandler callbackHandler, Map sharedState, Map options)`
`boolean` | `login()`

Methods inherited from class org.jboss.security.auth.spi.AbstractServerLoginModule
`abort, commit, createGroup, getUseFirstPass, logout`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JbossAcegiLoginModule

    public JbossAcegiLoginModule()

Method Detail

### initialize

    public void initialize(Subject subject,
                           CallbackHandler callbackHandler,
                           Map sharedState,
                           Map options)

  Specified by:
    `initialize` in interface `LoginModule`
  Overrides:
    `initialize` in class `org.jboss.security.auth.spi.AbstractServerLoginModule`

### login

    public boolean login()
                  throws LoginException

  Specified by:
    `login` in interface `LoginModule`
  Overrides:
    `login` in class `org.jboss.security.auth.spi.AbstractServerLoginModule`
  Throws:
    `LoginException`

### getIdentity

    protected Principal getIdentity()

  Specified by:
    `getIdentity` in class `org.jboss.security.auth.spi.AbstractServerLoginModule`

### getRoleSets

    protected Group[] getRoleSets()
                           throws LoginException

  Specified by:
    `getRoleSets` in class `org.jboss.security.auth.spi.AbstractServerLoginModule`
  Throws:
    `LoginException`

### getUsernameAndPassword

    protected String[] getUsernameAndPassword()
                                       throws LoginException

  Throws:
    `LoginException`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.